| Home | Libraries | People | FAQ | More

##### io_service::poll (2 of 2 overloads)

Run the `io_service` object's event processing loop to execute ready handlers.

    std::size_t poll(
        boost::system::error_code & ec);

The `poll()` function runs handlers that are ready to run, without blocking, until the `io_service` has been stopped or there are no more ready handlers.

###### Parameters

ec

  Set to indicate what error occurred, if any.

###### Return Value

The number of handlers that were executed.